network sites: arcadespot.com | animejolt.com
+ Reply to Thread
Results 1 to 7 of 7
  1. #1
    Furfag
    Join Date
    Dec 2009
    Location
    C-Spot Headquarters
    Posts
    891

    Default [Release] 5.03 Prometheus

    Yup, you've guessed it. In only a day, Developer Liquidzigong has created a version for HEN users. For those who haven't heard of Prometheus, this is a patch that enables games that require OFW 6.20 and up to be played. It's basically a D3 for 5.03 GEN users.




    Here is a list of compatible games:

    Kingdom Hearts: Birth by Sleep
    Metal Gear Solid: Peace Walker
    EVA
    God Eater God Eater
    God Eater Trial Version (DEMO)
    Eater trial version of God (DEMO)
    YSF
    Tekken 6
    Modnation Racers
    PES 2010
    Prince Of Persia Warrior

    Installation Process:

    PSP Slim & Lite Brite or in Custom Firmware 5.03GEN-C
    1.Connect your PSP to your computer via USB,
    2.Spend your psp "USB mode" with the option "USB Connection"
    3.Right-click on the file you downloaded,
    4.Choose "Extract files ...", (WinRAR is advised)
    5.Choose like destination the letter assigned to your PSP by the system.
    6.Press OK and wait for the complete removal of files
    7.Quit the "USB Mode" from your PSP
    8.Go to the menu Thursday> Memory Stick to start 5.03Prometheus

    9.Press X to install the 5.03Prometheus.

    Updated:
    Repair 2000v3 not work problem.
    Check adding firmware 5.03.
    Analysis of the custom key file restoration process in the small problem.
    Fix crash when unloading the issue, amendment reboot show.

    Uninstall the original version of the file when the restore 5.03.

    After the MAC address MAC fix hidden display for the gaps.
    Brush the former increase the frequency to 333/166.
    Prometheus module and has been used to improve the game's compatibility.

    Q & A:

    Q: PSP-100X / 200X's version?
    A: break God's PSP-200X stolen, the thief to blame it all to blame.

    Q: Why does the game start screen to turn red?
    A: Yes, when adding the code to decrypt the original purple 5.03GEN-C is changed. Emperor's firmware in the crack in a red, made in China.

    Q: My system version of the PSP-300X higher than the 5.03, I have a play?
    A: You can go out ... ... the system requirements and 5.03GEN-C, have to brush image (refer to HEN).

    Still need help with the installation? Check out the YouTube video below.




    Enjoy!


    Note: This is only for 5.03 GEN-C!
    Attached Files
    Last edited by Psyko; 06-23-2010 at 05:08 PM. Reason: MORE tags added



  2.    
  3. #2
    Spot Veteran
    Join Date
    Sep 2007
    Location
    Westland Mi.
    Posts
    509

    Default

    Nice post, but I think this one was out before the 5.50 one.

  4. #3
    Furfag
    Join Date
    Dec 2009
    Location
    C-Spot Headquarters
    Posts
    891

    Default

    Mmm... I wasnt too sure which was released first. There isn't alot of info around about it :C



  5. #4
    Elite Poster
    Join Date
    Oct 2009
    Location
    at my computer
    Posts
    464

    Default

    lol the Q and A has reeeeeealy bad grammer



  6. #5
    Junior Member
    Join Date
    Sep 2007
    Posts
    24

    Default

    I almost thought this would crack 6.20 firmware for the 3000 series

  7. #6
    Furfag
    Join Date
    Dec 2009
    Location
    C-Spot Headquarters
    Posts
    891

    Default

    Quote Originally Posted by petfood56 View Post
    lol the Q and A has reeeeeealy bad grammer
    Lol, I was in a rush, so I did a quote. I'll edit it . Scratch that. It was quoted from a primary source .



  8. #7
    Cookie Monstah!!!
    Join Date
    Mar 2008
    Location
    New Jersey
    Posts
    686

    Default

    I see London, I see France, I see someo...PENIS!!!!!!!!!!

    My Platinums Sig.

    =^.^=


 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts